<div class="center-element width-full">
    <canvas id="${_id}" #{if _setHeight != null}height="${_setHeight}px" #{/if}></canvas>
</div>
#{set 'moreStyles'}
<style>
    class$="-legend"] {
        list-style: none;
        cursor: pointer;
        padding-left: 0;
    }

    [class$="-legend"] li {
        display: flex !important;
        padding: 0 5px;
        font-style: normal;
        font-weight: normal;
        font-size: 14px;
        padding-bottom: 5px;
        line-height: 21px;
        color: #000000;
    }

    [class$="-legend"] li.hidden {
        text-decoration: line-through;
    }

    [class$="-legend"] li span {
        border-radius: 10px;
        padding-right: 18px;
        display: inline-block;
        height: 18px;
        margin-right: 10px;
        width: 18px;
    }
.center-element {margin: auto;width: 50%;padding: 10px;}
canvas{-moz-user-select: none;-webkit-user-select: none;-ms-user-select: none;}
</style>
#{/set}
#{set _scriptName == null ? 'chartScripts' : _scriptName}
<script src="@{'/public/vendor/chart/dist/Chart.bundle.min.js'}"></script>

<script>
    var colors =  [
        '#E24858', '#E4A118','#13A2B4', '#BB6BD9',
        '#F2994A', '#1F5479', '#BED73B', '#000000',
        '#E24858', '#E4A118','#13A2B4', '#BB6BD9',
    ]
    var getColorsAsMany = function(total) {
        return colors.splice(0, total)
    }
    var automaticColor = ${_automaticColor ? 'true' : 'false'}

    var ctx = document.getElementById('${_id}').getContext('2d');
	var myChart = new Chart(ctx, {
	    plugins: [],
		type: 'bar',
        data: {
            labels: [#{list items: _chartable.labels, as: 'label'} '${label}', #{/list}],
            datasets: [
				#{list items: _chartable.datasets, as: 'dataset'}
                    {
                        label: '${dataset.label}',
                        fill: false,
                        data: [#{list items: dataset.data, as: 'data'} '${data}', #{/list}],
                        borderColor: automaticColor
                                            ? getColorsAsMany(${dataset.data.size()})
                                            : colors[${dataset.number}],
                        backgroundColor: automaticColor
                                            ? getColorsAsMany(${dataset.data.size()})
                                            :  colors[${dataset.number}],
                        pointBackgroundColor: [#{list items: dataset.data, as: 'data'} colors[${dataset.number}], #{/list}],
                        pointBorderColor: [#{list items: dataset.data, as: 'data'} colors[${dataset.number}], #{/list}],
                        borderWidth: 0
                    },
				#{/list}
            ]
        },
		options: {
                plugins: {
                    datalabels: {
                        color: '#000',
                        anchor: 'end',
                        clamp: false,
                        align: 'top',
                        clip: true
                    }
                },
					responsive: true,
					legend: {
                        display: ${ _legend == null},
						position: 'bottom',
						labels : {
							fontSize:14,
						},
					},
					title: {
						display: ${_title != null},
                        text: '${_title}',
						fontSize: 18,
					},
                   showTooltips: true,
					tooltips: {
						mode: 'index',
						intersect: true,
						#{if _money}
                            callbacks: {
                                label: function(tooltipItem, data) {
                                    var value = data.datasets[tooltipItem.datasetIndex].data[tooltipItem.index];
                                    return formatCurrenciesJuta(value);
                                }
                            }
						#{/if}
						#{if _percentage}
                        callbacks: {
                            label: function(tooltipItem, data) {
                                var value = data.datasets[tooltipItem.datasetIndex].data[tooltipItem.index];
                                return value + "%";
                            }
                        }
                        #{/if}
					},
					hover: {
						mode: 'nearest',
						intersect: true
					},
					scales: {
						xAxes: [{
							display: true,
							ticks: {
								fontSize: 14,
							},
							scaleLabel: {
								display: true,
                                labelString: '${_xLabel}',
								fontSize: 14,
							},
                            barPercentage: 0.4,
						}],
						yAxes: [{
							display: true,
                            #{if _setType !=  null} type: '${_setType}', #{/if}
                            ticks: {
                                #{if _setMaxTicksLimit !=  null} maxTicksLimit: ${_setMaxTicksLimit}, #{/if}
                                beginAtZero: true,
								fontSize: 14,
								#{if _money}
                                    callback: function(label, index, labels) {
                                        return formatCurrenciesJuta(label)
                                    },
								#{/if}
								#{if _percentage}
                                callback: function(label, index, labels) {
                                    return label + "%"
                                },
                                #{/if}
							},
							scaleLabel: {
								display: true,
                                labelString: '${_yLabel}',
								fontSize: 14,
							}
						}]
					},
		}
	});
    #{if _legend !=  null }
    var myLegendContainer = document.getElementById("${_legend}");
    // generate HTML legend
    myLegendContainer.innerHTML = myChart.generateLegend();
    #{/if}
</script>
#{/set}